---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libfollowref005.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x4A80, symSize: 0x270 }
  - { offsetInCU: 0x465, offset: 0x465, size: 0x8, addend: 0x0, symName: _g_fakeUserData, symObjAddr: 0x4FD50, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x47A, offset: 0x47A, size: 0x8, addend: 0x0, symName: _g_wrongHeapCallbacks, symObjAddr: 0x4FD58, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0xAE8, offset: 0xAE8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FDE0, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0xB0F, offset: 0xB0F, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51D20, symBinAddr: 0xE1A0, symSize: 0x0 }
  - { offsetInCU: 0xB31, offset: 0xB31, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52110, symBinAddr: 0xE590, symSize: 0x0 }
  - { offsetInCU: 0xB53, offset: 0xB53, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x530B0, symBinAddr: 0xF530, symSize: 0x0 }
  - { offsetInCU: 0xB68, offset: 0xB68, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x530C0, symBinAddr: 0xF540, symSize: 0x0 }
  - { offsetInCU: 0xBE3, offset: 0xBE3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FA60, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBEE, offset: 0xBEE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FA64, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBF9, offset: 0xBF9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FA68, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC3E, offset: 0xC3E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FBC0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xCB7, offset: 0xCB7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FC78, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCD5, offset: 0xCD5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FC7C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCEE, offset: 0xCEE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FC80, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xD07, offset: 0xD07, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FC84, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD20, offset: 0xD20, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FC88, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x930F, offset: 0x930F, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FC90, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x9398, offset: 0x9398, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FCA0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x93B1, offset: 0x93B1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FCA8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93CA, offset: 0x93CA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FCB0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93E3, offset: 0x93E3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FCB8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93FC, offset: 0x93FC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FCC0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9416, offset: 0x9416, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FCC8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94FC, offset: 0x94FC, size: 0x8, addend: 0x0, symName: __ZL9g_timeout, symObjAddr: 0x4FD10, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x954E, offset: 0x954E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3720, symSize: 0x80 }
  - { offsetInCU: 0x95E3, offset: 0x95E3, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3670, symSize: 0xB0 }
  - { offsetInCU: 0x963E, offset: 0x963E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3570, symSize: 0x100 }
  - { offsetInCU: 0x98D1, offset: 0x98D1, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x37A0, symSize: 0xC0 }
  - { offsetInCU: 0x9923, offset: 0x9923, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3860, symSize: 0x220 }
  - { offsetInCU: 0x9B08, offset: 0x9B08, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3A80, symSize: 0xA0 }
  - { offsetInCU: 0x9BBB, offset: 0x9BBB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3B20, symSize: 0x110 }
  - { offsetInCU: 0x9CB1, offset: 0x9CB1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3C30, symSize: 0x150 }
  - { offsetInCU: 0x9E0E, offset: 0x9E0E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3D80, symSize: 0x30 }
  - { offsetInCU: 0x9E97, offset: 0x9E97, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3DB0, symSize: 0x150 }
  - { offsetInCU: 0xA08F, offset: 0xA08F, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3F00, symSize: 0x160 }
  - { offsetInCU: 0xA34F, offset: 0xA34F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4060, symSize: 0x4A0 }
  - { offsetInCU: 0xA5C2, offset: 0xA5C2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4500, symSize: 0x1B0 }
  - { offsetInCU: 0xA7DD, offset: 0xA7DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x46B0, symSize: 0xA0 }
  - { offsetInCU: 0xA8AC, offset: 0xA8AC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4750, symSize: 0x20 }
  - { offsetInCU: 0xA8E3, offset: 0xA8E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4770, symSize: 0x20 }
  - { offsetInCU: 0xA91A, offset: 0xA91A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4790, symSize: 0x20 }
  - { offsetInCU: 0xAA89, offset: 0xAA89, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x47B0, symSize: 0x1A0 }
  - { offsetInCU: 0xADA5, offset: 0xADA5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4950, symSize: 0x130 }
  - { offsetInCU: 0xAF55, offset: 0xAF55, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4CF0, symSize: 0x1B0 }
  - { offsetInCU: 0xB244, offset: 0xB244, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4EA0, symSize: 0x80 }
  - { offsetInCU: 0xB30D, offset: 0xB30D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4F20, symSize: 0x6A0 }
  - { offsetInCU: 0xBEA2, offset: 0xBEA2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA1F0, symBinAddr: 0x62A0, symSize: 0xB0 }
  - { offsetInCU: 0xBF19, offset: 0xBF19, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x55C0, symSize: 0x70 }
  - { offsetInCU: 0xBFD5, offset: 0xBFD5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5630, symSize: 0xA0 }
  - { offsetInCU: 0xC0B4, offset: 0xC0B4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x56D0, symSize: 0x40 }
  - { offsetInCU: 0xC1AA, offset: 0xC1AA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5710, symSize: 0x2B0 }
  - { offsetInCU: 0xC550, offset: 0xC550, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x59C0, symSize: 0xC0 }
  - { offsetInCU: 0xC696, offset: 0xC696, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5A80, symSize: 0x10 }
  - { offsetInCU: 0xC758, offset: 0xC758, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5A90, symSize: 0x220 }
  - { offsetInCU: 0xCA55, offset: 0xCA55, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5CB0, symSize: 0x10 }
  - { offsetInCU: 0xCAB2, offset: 0xCAB2, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5CC0, symSize: 0x1E0 }
  - { offsetInCU: 0xCD11, offset: 0xCD11, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x5EA0, symSize: 0x10 }
  - { offsetInCU: 0xCE53, offset: 0xCE53, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E00, symBinAddr: 0x5EB0, symSize: 0x3F0 }
  - { offsetInCU: 0xD3E0, offset: 0xD3E0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2A0, symBinAddr: 0x6350, symSize: 0x36A }
...
